### Method

# WebKitWebExtension DOMDOMSelection modify

deprecated: 2.22 since: 2.16

#### Declaration [src]

    void
    webkit_dom_dom_selection_modify (
      WebKitDOMDOMSelection* self,
      const gchar* alter,
      const gchar* direction,
      const gchar* granularity
    )

#### Description

No description available.

Available since: 2.16

Deprecated since: 2.22

Use JavaScriptCore API instead.

#### Parameters

`alter`

  Type: `const gchar*`

  A #gchar.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`direction`

  Type: `const gchar*`

  A #gchar.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`granularity`

  Type: `const gchar*`

  A #gchar.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.